numeric {base} | R Documentation

## Numeric Vectors

### Description

Creates or tests for objects of type `"numeric"`.

### Usage

    numeric(length = 0)
    as.numeric(x, ...)
    is.numeric(x)

### Arguments

`length` | desired length.
`x` | object to be coerced or tested.
`...` | further arguments passed to or from other methods.

### Details

`as.numeric` is a generic function, but methods must be written for `as.double`, which it calls.

`is.numeric` is generic: you can write methods to handle specific classes of objects, see InternalMethods.

### Value

`numeric` creates a real vector of the specified length. The elements of the vector are all equal to `0`.
`as.numeric` attempts to coerce its argument to `"double"` (even if it is already `"integer"`). `as.numeric` for factors yields the codes underlying the factor levels, not the numeric representation of the labels, see also `factor`.
The default method for `is.numeric` returns `TRUE` if its argument is of mode `"numeric"` (type `"double"` or type `"integer"`) and not a factor, and `FALSE` otherwise. That is, `is.integer(x) || is.double(x)`, or `(mode(x) == "numeric") && !is.factor(x)`.

### Note

R has no single precision data type. All real numbers are stored in double precision format.

`numeric` and `as.numeric` are the identical to `double` and `as.double` (unless someone defines S4 methods on one of them).

### References

Becker, R. A., Chambers, J. M. and Wilks, A. R. (1988) The New S Language. Wadsworth & Brooks/Cole.

### See Also

`double`, `integer`, `storage.mode`.

### Examples

    as.numeric(c("-.1"," 2.7 ","B")) # (-0.1, 2.7, NA)  +  warning
    as.numeric(factor(5:10))

[Package base version 2.5.0 Index]